## ros-melodic-rwt-steer 0.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rwt_steer)

find_package(catkin REQUIRED COMPONENTS
  rosbridge_server
  roswww
  rwt_utils_3rdparty
)

catkin_package(
  CATKIN_DEPENDS rosbridge_server roswww rwt_utils_3rdparty
)

include_directories(
  ${catkin_INCLUDE_DIRS}
)

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

install(DIRECTORY www/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/www
)

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS roslaunch rostest)

  file(GLOB LAUNCH_FILES launch/*.launch)
  foreach(LAUNCH_FILE ${LAUNCH_FILES})
    roslaunch_add_file_check(${LAUNCH_FILE})
  endforeach()

  add_rostest(test/test_rwt_steer.test)
endif()

=== debian/changelog ===
ros-melodic-rwt-steer (0.1.2-2bionic) bionic; urgency=high

  * fix for noetic (#130 <https://github.com/tork-a/visualization_rwt//issues/130>)
    
      * fix test code for selenium version >= 4.3.0
    
  * Contributors: Kei Okada

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 29 May 2023 15:00:00 -0000

ros-melodic-rwt-steer (0.1.1-2bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 11 Nov 2021 15:00:00 -0000

ros-melodic-rwt-steer (0.1.0-2bionic) bionic; urgency=high

  * use websocket_port 9090 as defaut (#112 <https://github.com/tork-a/visualization_rwt/issues/112>)
  * add test for rwt tools (#110 <https://github.com/tork-a/visualization_rwt/issues/110>)
  * Contributors: Kei Okada

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 11 Nov 2021 15:00:00 -0000

ros-melodic-rwt-steer (0.0.5-2bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 11 Mar 2021 15:00:00 -0000

ros-melodic-rwt-steer (0.0.4-2bionic) bionic; urgency=high

  * [rwt_steer] udpate package.xml in rwt_steer (#98 <https://github.com/tork-a/visualization_rwt/issues/98>)
  * add rwt_steer package (#97 <https://github.com/tork-a/visualization_rwt//issues/97>)
  * Contributors: Shingo Kitagawa

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 08 Mar 2021 15:00:00 -0000

ros-melodic-rwt-steer (0.0.3-2bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 01 Oct 2016 06:52:00 -0000

ros-melodic-rwt-steer (0.0.2-2bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 01 Oct 2016 06:20:00 -0000

=== debian/control ===
Source: ros-melodic-rwt-steer
Section: misc
Priority: optional
Maintainer: Shingo Kitagawa <shingogo.5511@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-image-publisher <!nocheck>, ros-melodic-rosbridge-server, ros-melodic-rostest <!nocheck>, ros-melodic-roswww, ros-melodic-rviz <!nocheck>, ros-melodic-rwt-utils-3rdparty, ros-melodic-web-video-server
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-rwt-steer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-rosbridge-server, ros-melodic-roswww, ros-melodic-rwt-utils-3rdparty, ros-melodic-web-video-server
Description: The rwt_steer package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rwt-steer//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
